Package org.eclipse.m2m.atl.engine.emfvm.lib

# Class Tuple

java.lang.Object
org.eclipse.m2m.atl.engine.emfvm.lib.Tuple

All Implemented Interfaces:
  `HasFields`

public class Tuple extends Object implements HasFields
Abstract OCLtype.

## Constructor Summary

Constructors
Constructor
Description
`Tuple()`
Creates an new tuple.
`Tuple(Map<Object,Object> map)`
Creates an new tuple initialized with the given map.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`Object`
`get(AbstractStackFrame frame, Object name)`
Gets a value.
`Map<Object,Object>`
`getMap()`
`int`
`hashCode()`
`void`
`set(AbstractStackFrame frame, Object name, Object value)`
Sets a value to the object.
`String`
`toString()`
`void`
`unset(AbstractStackFrame frame, Object name)`
Unsets a value to the object.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Tuple

public Tuple()
Creates an new tuple.

### Tuple

public Tuple(Map<Object,Object> map)
Creates an new tuple initialized with the given map.

Parameters:
  `map` - the given map

## Method Details

### set

public void set(AbstractStackFrame frame, Object name, Object value)
Sets a value to the object.

Specified by:
  `set` in interface `HasFields`
Parameters:
  `frame` - the frame context
  `name` - the value name
  `value` - the value
See Also:
  - `HasFields.set(org.eclipse.m2m.atl.engine.emfvm.lib.AbstractStackFrame, java.lang.Object, java.lang.Object)`

### get

public Object get(AbstractStackFrame frame, Object name)
Gets a value.

Specified by:
  `get` in interface `HasFields`
Parameters:
  `frame` - the frame context
  `name` - the value name
Returns:
  the value
See Also:
  - `HasFields.get(org.eclipse.m2m.atl.engine.emfvm.lib.AbstractStackFrame, java.lang.Object)`

### unset

public void unset(AbstractStackFrame frame, Object name)
Unsets a value to the object.

Specified by:
  `unset` in interface `HasFields`
Parameters:
  `frame` - the frame context
  `name` - the value name
See Also:
  - `HasFields.unset(org.eclipse.m2m.atl.engine.emfvm.lib.AbstractStackFrame, java.lang.Object)`

### toString

public String toString()

Overrides:
  `toString` in class `Object`
See Also:
  - `Object.toString()`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`
See Also:
  - `Object.equals(java.lang.Object)`

### getMap

public Map<Object,Object> getMap()

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`
See Also:
  - `Object.hashCode()`